WebRTC Code Reviews
Help | Chromium Project | Sign in
(147)

Issue 39639004: AEC: Implements a new function for calculating delay metrics (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 years, 8 months ago by Bjorn
Modified:
4 years, 8 months ago
Reviewers:
kwiberg
CC:
webrtc-reviews_webrtc.org, tterriberry, kwiberg, aluebs, ajm
Base URL:
http://webrtc.googlecode.com/svn/trunk
Project:
webrtc
Visibility:
Public.

Description

AEC: Implements a new function for calculating delay metrics Two new member variables have been added and the code for calculating the delay metrics have been moved to a function. BUG=2994 TESTED=locally on Mac and trybots R=kwiberg@webrtc.org Committed: https://code.google.com/p/webrtc/source/detail?r=8163

Patch Set 1 #

Total comments: 11

Patch Set 2 : Addressed review comments, part 1 #

Patch Set 3 : Updated comment and changed l1_norm to int64_t #

Total comments: 4

Messages

Total messages: 8 (0 generated)
Bjorn
Karl, PTAL at this. It's an initial CL preparing for a fixed aggregation window for ...
4 years, 8 months ago (2015-01-23 11:26:13 UTC) #1
kwiberg
lgtm, although admittedly I didn't put in the time to follow all the math. It ...
4 years, 8 months ago (2015-01-26 16:03:43 UTC) #2
Bjorn
Who cares about the match... https://webrtc-codereview.appspot.com/39639004/diff/1/webrtc/modules/audio_processing/aec/aec_core.c File webrtc/modules/audio_processing/aec/aec_core.c (right): https://webrtc-codereview.appspot.com/39639004/diff/1/webrtc/modules/audio_processing/aec/aec_core.c#newcode776 webrtc/modules/audio_processing/aec/aec_core.c:776: int my_median = 0; ...
4 years, 8 months ago (2015-01-26 16:36:51 UTC) #3
kwiberg
https://webrtc-codereview.appspot.com/39639004/diff/1/webrtc/modules/audio_processing/aec/aec_core.c File webrtc/modules/audio_processing/aec/aec_core.c (right): https://webrtc-codereview.appspot.com/39639004/diff/1/webrtc/modules/audio_processing/aec/aec_core.c#newcode791 webrtc/modules/audio_processing/aec/aec_core.c:791: self->delay_std = -1; On 2015/01/26 16:36:51, Bjorn wrote: > ...
4 years, 8 months ago (2015-01-26 20:25:49 UTC) #4
Bjorn
Karl, even though you've already given this cl a go, could you please have a ...
4 years, 8 months ago (2015-01-27 10:31:48 UTC) #5
kwiberg
lgtm https://webrtc-codereview.appspot.com/39639004/diff/40001/webrtc/modules/audio_processing/aec/aec_core.c File webrtc/modules/audio_processing/aec/aec_core.c (right): https://webrtc-codereview.appspot.com/39639004/diff/40001/webrtc/modules/audio_processing/aec/aec_core.c#newcode810 webrtc/modules/audio_processing/aec/aec_core.c:810: l1_norm += abs(i - median) * self->delay_histogram[i]; This ...
4 years, 8 months ago (2015-01-27 11:14:42 UTC) #6
Bjorn
https://webrtc-codereview.appspot.com/39639004/diff/40001/webrtc/modules/audio_processing/aec/aec_core.c File webrtc/modules/audio_processing/aec/aec_core.c (right): https://webrtc-codereview.appspot.com/39639004/diff/40001/webrtc/modules/audio_processing/aec/aec_core.c#newcode810 webrtc/modules/audio_processing/aec/aec_core.c:810: l1_norm += abs(i - median) * self->delay_histogram[i]; On 2015/01/27 ...
4 years, 8 months ago (2015-01-27 11:29:00 UTC) #7
Bjorn
4 years, 8 months ago (2015-01-27 11:31:05 UTC) #8
Message was sent while issue was closed.
Committed patchset #3 (id:40001) manually as 8163 (presubmit successful).
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 245c2c2-tainted